uk.gov.hmrc.play.fsm.JourneyController.actions

# WhenAuthorised

###
Related Doc: package actions

#### class WhenAuthorised[User] extends AnyRef

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WhenAuthorised
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class Apply extends Executable

2. #### class ApplyThenRedirectOrDisplay extends Executable

3. #### class ApplyWithRequest extends Executable

4. #### class BindForm[Payload] extends AnyRef

5. #### class ParseJson[Entity] extends AnyRef

6. #### class Show[S <: State] extends Executable

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(transition: (User) ⇒ Transition): Apply

   Apply state transition parametrized by the user information and redirect to the URL matching the new state.

5. #### def applyThenRedirectOrDisplay(transition: (Request[_]) ⇒ (User) ⇒ Transition): ApplyThenRedirectOrDisplay

   Apply state transition and, depending on the outcome, display if the new state is the same as previous, or redirect to the URL matching the new state.

6. #### def applyWithRequest(transition: (Request[_]) ⇒ (User) ⇒ Transition): ApplyWithRequest

   Apply state transition parametrized by the user information and redirect to the URL matching the new state.

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def bindForm[Payload](form: Form[Payload]): BindForm[Payload]

   Bind the form to the request.

   Bind the form to the request. If valid, apply the following transitions, if not valid, redirect back to the current state with failed form.

   Payload

     form output type

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def parseJson[Entity](ifFailure: (Request[_]) ⇒ Future[Result])(implicit arg0: Reads[Entity]): ParseJson[Entity]

    Parse the JSON body of the request.

    Parse the JSON body of the request. If valid, apply the following transition, if not valid, return the alternative result.

    Entity

      entity

20. #### def show[S <: State](implicit arg0: ClassTag[S]): Show[S]

    Display the state requested by the type parameter S.

    Display the state requested by the type parameter S. If the current state is not of type S, try to rewind the history back to the nearest state matching S, or redirect back to the root state.

    S

      type of the state to display

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped